# Generated by Django 4.0.6 on 2022-08-02 04:09

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('SchoolApi', '0006_assignclass'),
    ]

    operations = [
        migrations.CreateModel(
            name='Homework',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('homework', models.CharField(max_length=250)),
                ('class_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='class2', to='SchoolApi.class')),
                ('subject_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subject2', to='SchoolApi.subject')),
            ],
        ),
    ]
